var _ = require('lodash');
var async = require('async');
var logger = require('../../helper/logger');
var UploadS3 = require('../UploadS3/index');

module.exports = function (lambdaPath, currentBranch, directories, done) {
    logger.log("BRANCH S3 FOLDER: "+ currentBranch);
    
    async.mapValuesSeries(directories, iteratee(currentBranch, lambdaPath), done);
};

function iteratee(branch, lambdaPath) {
    return function (value, key, cb) {
        logger.log(lambdaPath, value, key,"\n\n");
        var regex = new RegExp(lambdaPath);
        
        if(!regex.test(value)){
            return cb();
        }
    
        logger.log("ZIPPING NEW FILE");
        logger.log("dirName: "+ value);
        logger.log("fileName: "+ key);
        UploadS3(branch, value, key, cb);
    }
}